Windows 7 Install Net Framework 3.5 Sp1 on Windows7

#21
Many many thanks Drew ... seems to be fine now.:)
 


#22
So sorry. My mistake.
 


Last edited:

Mitchell_A

Essential Member
#23
sounds like you're running a pirated/slim version of windows 7. But i'm not accusing you if this isn't the case.
 


#24
GO to control panel, uninstall a program, then look for turn windows features on or off on the left side. 3.5 should be in there, check it and say ok.
 


#25
hi all. i just made this account to post this message. 5 minutes ago i had the same problem with .NET on win7. i was trying to install Google chrome and windows gave me the same message about needing .net 3.5 sp1. long story short...
- go to control panel,
-look for Programs and features and open it, then on the left you will see turn on/off program features...
-press that and a window appeares. search for microsoft .net framework 3.5.1; it should be there (in my list it didn't have a plus sign with 2 other options - just ms .net framework).
- by default the box is checked. just uncheck it - do not try to check it back(did that because i thought i have to and gave me the same error - could not start all features....).
- after that restart - mine didn't ask for one but that's how i work. after this Chrome installed with no errors.
seems a lot more fast and clean than to uninstall, download, reinstall frameworks... or xp virtual machines. hope this helps you - and wasn't just a "one type situation fix"
 


#26
It's hiding in plain sight - took me forever to find it, but now I can't figure out how I missed it!

Start --> Control Panel --> Programs and Features --> Turn Windows features on or off

Nice link with a security shield next to it. If you don't see it, you may need to turn off UAC and reboot first. Good luck!
 


#27
hi,
I have same problem as it was written here, drew, could u help me solve that problem with Net Framework 3.5 Sp1 on Windows7
thanks
 


Mitchell_A

Essential Member
#28
hi,
I have same problem as it was written here, drew, could u help me solve that problem with Net Framework 3.5 Sp1 on Windows7
thanks
Welcome to the Windows 7 Forums :)

Could you please start a NEW thread under Windows 7 Support with details relating to your problem, as this thread is over a year old.
That would be great, and help you get more replies as well. Thanks :)
 


#29
Try to turn off if already .Net framework 3.5.1 checked then you must restart PC and Turn it On then do restart PC again, now try to install your application/utility which is required .Net framework 3.5 sp1. I did the same way its works for me. thx
 


#30
Thanx it worked for me ... Thanx a lot man

Shanoqueeb
Junior MemberEnjoys Windows 7 Forums


Join DateNov 2009Posts1​



I had the same problem, but windows 7 has .net 3.5.1 already installed, i kept trying to install some programs and it wouldn't let me saying that .net 3.0 or higher needed to be installed.

This is how i fixed it;

Go to: start/control panel/programs and features

On the top left you should see "Turn windows features on or off" click on that

Find "Microsoft .NET framework 3.5.1" when the window opens

Click the + sign next to it to expand it so you can now see:

"Windows Communication Foundation HTTP Activation"
"Windows Communication Foundation HTTP non-Activation"

Make sure there is a tick in both boxes and select OK.​


 


Mitchell_A

Essential Member
#31
Try to turn off if already .Net framework 3.5.1 checked then you must restart PC and Turn it On then do restart PC again, now try to install your application/utility which is required .Net framework 3.5 sp1. I did the same way its works for me. thx
After sucessfully installing v. 3.5.1, make sure you upgrade to version 4. The easiest way to do this is through Windows Update.
 


#32
i have same problem
.net 4 was installed on my system
i removed it the problem solved and after insttalin my desier app i instaled it again :)
tanx all
 


kurteb

Senior Member
#33
i get the turn on/off .net error.. anybody solved this already? really need to install autocad for work
when i tried to use the dxsetup at softpedia it said i needed net 2.0 sp2 (win 7 64-bit) i ran the dxsetup i got elsewhere and it ran fine
 


Last edited:
This website is not affiliated, owned, or endorsed by Microsoft Corporation. It is a member of the Microsoft Partner Program.
Top